%define Name goffice
%define new_name goffice21
%define version 0.2.2
%define rel 2

%define api 1
%define major 2
%define libname %mklibname %{new_name}_%{api}_%major

Summary: Set of document centric objects and utilities for glib/gtk
Name:    %{new_name}
Version: %{version}
Release: %mkrel 1
Source0: http://ftp.gnome.org/pub/GNOME/sources/goffice/%{Name}-%{version}.tar.bz2
License: GPL
Group: System/Libraries
Url: http://www.gnome.org
BuildRoot: %{_tmppath}/%{Name}-%{version}-%{release}-buildroot
BuildRequires:	automake1.8
BuildRequires:	intltool
BuildRequires: gtk+2-devel
BuildRequires: libgnomeprint-devel >= 2.8.2
BuildRequires: libgsf-devel >= 1:1.13.3
BuildRequires: libglade2.0-devel
BuildRequires: perl-XML-Parser
Obsoletes:  goffice = %{version}
Provides: goffice = %{version}

%description
There are common operations for document centric applications that are
conceptually simple, but complex to implement fully.
    - plugins
    - load/save documents
    - undo/redo

%package -n %libname
Summary:  %{summary}
Group: %{group}
Requires: %name = %version
Provides:  lib%{Name} = %version
Obsoletes: libgoffice1_2
Provides:   libgoffice1_2

%description -n %libname
Shared library implementing document centric objects and utilities for glib/gtk

%package -n %libname-devel
Summary:  %{summary}
Group: Development/C
Requires: %libname = %version
Provides: %name-devel = %version-%release
Provides: lib%name-devel = %version-%release
Provides: %Name-devel = %version-%release
Provides: lib%Name-devel = %version-%release 

%description -n %libname-devel
Development files of the Goffice library.

%prep
%setup -q -n %{Name}-%{version}

#fix build
aclocal-1.8
automake-1.8
autoconf

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT %Name.lang
%makeinstall_std
%find_lang %Name

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -n %{new_name} -f %Name.lang
%defattr(-,root,root)
%doc README NEWS AUTHORS BUGS ChangeLog MAINTAINERS
%_datadir/%Name
%_datadir/pixmaps/%Name
%dir %_libdir/%Name/

%files -n %libname
%defattr(-,root,root)
%_libdir/libgoffice-%api.so.%{major}*
%_libdir/%Name/*

%files -n %libname-devel
%defattr(-,root,root)
%_includedir/libgoffice-1/
%_libdir/lib*.so
%_libdir/lib*a
%_libdir/pkgconfig/*.pc


%changelog
* Mon Nov 06 2006 Götz Waschk <waschk@mandriva.org> 0.2.2-1mdv2007.0
+ Revision: 77037
- Import goffice21



* Mon Nov 06 2006 Götz Waschk <waschk@mandriva.org> 0.2.2-1mdv2007.1
- New version 0.2.2

* Fri Aug 04 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.2.1-2mdv2007.0
- rebuild w/o selinux on x86_64

* Mon Jul 10 2006 Charles A Edwards <eslrahc@mandriva.org> 0.2.1-1mdv2006.0
- re-introduce as goffice21  
- needed by some apps which will not build/work with 0.3.0
